#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xe13c7c7f, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xa1d3a869, "");
SYMBOL_CRC(ib_cm_listen, 0x12fc5bf1, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x3356533f, "");
SYMBOL_CRC(ib_send_cm_req, 0x8ba167f7, "");
SYMBOL_CRC(ib_send_cm_rep, 0x616db51c, "");
SYMBOL_CRC(ib_send_cm_rtu, 0xc9f75231, "");
SYMBOL_CRC(ib_send_cm_dreq, 0xd543020f, "");
SYMBOL_CRC(ib_send_cm_drep, 0x621862a3, "");
SYMBOL_CRC(ib_send_cm_rej, 0x1a92bf7a, "");
SYMBOL_CRC(ib_send_cm_mra, 0x97b42e6e, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0x58b5ded6, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xf25ad338, "");
SYMBOL_CRC(ib_cm_notify, 0x735d78c6, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x7fca5d9d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83038da1, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x51cf9f51, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0x4cfd237, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xe1fae2b9, "__trace_trigger_soft_disabled" },
	{ 0x4b48c411, "trace_event_printf" },
	{ 0x48ed1aa8, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x46682e4e, "rdma_query_gid" },
	{ 0x7d5922bf, "ib_port_register_client_groups" },
	{ 0xcaaafbe6, "ib_modify_port" },
	{ 0x31cbb418, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x809ca4f1, "trace_event_buffer_commit" },
	{ 0xfd5b0fec, "rdma_create_ah" },
	{ 0x71369a1f, "ib_init_ah_attr_from_wc" },
	{ 0xc322a0e1, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe62c806c, "ib_register_client" },
	{ 0x9a48fc97, "ib_unregister_mad_agent" },
	{ 0x240e3f7a, "ib_post_send_mad" },
	{ 0x726741e5, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x948bb823, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xadf24083, "rdma_destroy_ah_attr" },
	{ 0xec6a85aa, "ib_set_client_data" },
	{ 0xc8bde285, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x39bf5970, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa6434e5a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x7b2c9d55, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xabfde82c, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xa2ad182a, "rdma_destroy_ah_user" },
	{ 0x640eae50, "ib_free_send_mad" },
	{ 0xc7214464, "ib_port_unregister_client_groups" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x67a4f75b, "bpf_trace_run3" },
	{ 0x364e5419, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcaabc6f5, "trace_event_buffer_reserve" },
	{ 0x6bd2ca76, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbe65c635, "ib_free_recv_mad" },
	{ 0xfefb6415, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6fbf28d0, "ib_modify_mad" },
	{ 0x8d06a85c, "ib_create_ah_from_wc" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "7601025A36756CEEBC27401");
MODULE_INFO(rhelversion, "10.1");
