#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xa0b0c4cb, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x39db620e, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xb94be954, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0x15d31b60, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0x8c1d67f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9bbdd06b, "__do_once_done" },
	{ 0xaa70f814, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd793a162, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15010de0, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x6fc7862c, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2f62a62f, "netdev_update_features" },
	{ 0xb9b2f564, "consume_skb" },
	{ 0xf4ff79ee, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfe8c6b52, "dev_uc_sync" },
	{ 0xc2feebd4, "rtnl_link_register" },
	{ 0xf8dfb505, "netif_inherit_tso_max" },
	{ 0x40bc38bf, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xddc0524, "ip_route_output_flow" },
	{ 0x71e7d3fe, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x2f7978f8, "dev_uc_unsync" },
	{ 0x9d2f0482, "ether_setup" },
	{ 0xbf3553a2, "netdev_err" },
	{ 0x52a102d2, "netdev_upper_dev_link" },
	{ 0x696696c6, "register_pernet_subsys" },
	{ 0x2fe18c4e, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xad2e0423, "eth_header_parse" },
	{ 0x507355c5, "netdev_rx_handler_unregister" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x34596e57, "eth_header_cache_update" },
	{ 0x4411fa77, "nf_register_net_hooks" },
	{ 0x6199aac0, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6baf5c5e, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0x1c6089e9, "__dev_get_by_index" },
	{ 0xf1f83991, "rtnl_link_unregister" },
	{ 0x2c1c0206, "skb_pull" },
	{ 0x9c783f84, "sk_skb_reason_drop" },
	{ 0x965942f0, "netif_stacked_transfer_operstate" },
	{ 0x16296fe8, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcf24387f, "ns_capable" },
	{ 0xcc74716, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad48b0a1, "ethtool_op_get_link" },
	{ 0xde8ff6c9, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x25a8af1a, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc7fc074f, "__pskb_pull_tail" },
	{ 0x6772ac94, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x4926d110, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xa11e7209, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4f79b66b, "vlan_vid_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x3ba68063, "call_netdevice_notifiers" },
	{ 0xd2938d31, "vlan_vid_del" },
	{ 0xe54d62f2, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4765b43c, "skb_clone" },
	{ 0x2772dde9, "dst_release" },
	{ 0xfe1aa677, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x7cb812e4, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xc240795b, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x5d5b9b22, "dev_mc_unsync" },
	{ 0x2e4cc720, "dev_change_flags" },
	{ 0x9fde98d0, "netdev_core_stats_inc" },
	{ 0xce36ef42, "dev_forward_skb" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x923be9c5, "register_netdevice" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A1235F784247220B8ED5F1D");
MODULE_INFO(rhelversion, "10.1");
