#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvme_fc_register_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_localport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_register_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_unregister_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rescan_remoteport, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_set_remoteport_devloss, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvme_fc_io_getuuid, "_gpl", "");

SYMBOL_CRC(nvme_fc_register_localport, 0xee0a03cc, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_io_getuuid, 0xcc8a2d78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfd0ca75d, "nvme_remove_admin_tag_set" },
	{ 0x7bb0fa9f, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x36e4f0ab, "vmemmap" },
	{ 0x3b2b1a84, "nvme_uninit_ctrl" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xc67fd716, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34d912fd, "nvmf_free_options" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x7c6cb764, "nvmf_subsystem_reset" },
	{ 0xac746b33, "blk_mq_tagset_wait_completed_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x9cbdfd80, "nvme_stop_keep_alive" },
	{ 0xe83a6f87, "blk_mq_complete_request_remote" },
	{ 0xdc1e9273, "dma_unmap_page_attrs" },
	{ 0xc46d720d, "nvme_setup_cmd" },
	{ 0xd645f14, "nvme_start_ctrl" },
	{ 0xc223392e, "nvme_alloc_admin_tag_set" },
	{ 0x8fd2ce68, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0xa8d7917f, "nvmf_reg_read32" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x30649a6d, "nvme_delete_ctrl" },
	{ 0xca774100, "get_device" },
	{ 0xebda4d06, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xd41ec9c2, "nvmf_get_address" },
	{ 0xfba61c86, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xe4f8f548, "nvme_remove_io_tag_set" },
	{ 0x2ddd549e, "nvme_cleanup_cmd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x87df153c, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb784b951, "nvmf_unregister_transport" },
	{ 0x793915e0, "blkcg_get_fc_appid" },
	{ 0xda47bef8, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x32dd0e8f, "nvme_change_ctrl_state" },
	{ 0x608e1e35, "_dev_info" },
	{ 0x1471fa21, "nvme_init_ctrl" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xd6649d5b, "nvme_alloc_io_tag_set" },
	{ 0xc823e29d, "nvme_fail_nonready_command" },
	{ 0xa57694c3, "kobject_uevent_env" },
	{ 0x6a3aa4b7, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6894db94, "_dev_err" },
	{ 0x90bc1ce9, "device_create" },
	{ 0x6be2b2de, "blk_sync_queue" },
	{ 0x85abc85f, "strncmp" },
	{ 0x48e5eb7b, "blkcg_set_fc_appid" },
	{ 0xa4d10c71, "__blk_rq_map_sg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x56535ad3, "nvmf_reg_read64" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xdf2094e5, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0xc6e87133, "nvmf_connect_admin_queue" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xdf7af7ab, "nvme_enable_ctrl" },
	{ 0x7cc812bd, "nvme_unquiesce_admin_queue" },
	{ 0xabfde82c, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb53bee45, "nvme_unquiesce_io_queues" },
	{ 0x7cebd190, "blk_mq_update_nr_hw_queues" },
	{ 0x1d17dfda, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1cb68bad, "nvmf_should_reconnect" },
	{ 0xaa0fd2be, "__dma_sync_single_for_device" },
	{ 0x9abc338d, "nvme_complete_async_event" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe040b0be, "device_destroy" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0xf54b02c6, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x8ce28fb1, "nvmf_register_transport" },
	{ 0x94faa1fd, "blk_mq_start_request" },
	{ 0x47208c1, "nvme_quiesce_io_queues" },
	{ 0x6fb4941f, "blk_mq_tagset_busy_iter" },
	{ 0x73e0998b, "nvme_stop_ctrl" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x89fc191f, "dma_unmap_sg_attrs" },
	{ 0xff08a8cc, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xbd88e0aa, "nvme_reset_ctrl" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x6a4eb9f6, "nvme_quiesce_admin_queue" },
	{ 0xd8152e71, "class_register" },
	{ 0x5eefabbb, "__nvme_check_ready" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0xb82add54, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd3d2999d, "nvme_add_ctrl" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F2ADD62904A61CD1573A664");
MODULE_INFO(rhelversion, "10.1");
