#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x87f2bff6, "");
SYMBOL_CRC(sas_remove_host, 0xb94273c6, "");
SYMBOL_CRC(sas_get_address, 0x62f7cda8, "");
SYMBOL_CRC(sas_tlr_supported, 0x9ff0c7d7, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x29ab91cb, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xd67ffdc6, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x5242ebcf, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xddce0b1d, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x226637c6, "");
SYMBOL_CRC(sas_phy_add, 0x78e1283d, "");
SYMBOL_CRC(sas_phy_free, 0xa1a081e5, "");
SYMBOL_CRC(sas_phy_delete, 0x65ad25fa, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xb3db075a, "");
SYMBOL_CRC(sas_port_alloc, 0xd9fcaead, "");
SYMBOL_CRC(sas_port_alloc_num, 0xec206cd0, "");
SYMBOL_CRC(sas_port_add, 0x0b340c52, "");
SYMBOL_CRC(sas_port_free, 0xf6e3ca19, "");
SYMBOL_CRC(sas_port_delete, 0xdaa1868e, "");
SYMBOL_CRC(scsi_is_sas_port, 0xf6b3d2a2, "");
SYMBOL_CRC(sas_port_get_phy, 0x716293ea, "");
SYMBOL_CRC(sas_port_add_phy, 0x029a50c6, "");
SYMBOL_CRC(sas_port_delete_phy, 0xc9d95d6b, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x9e116c79, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xac6f3696, "");
SYMBOL_CRC(sas_end_device_alloc, 0x97ad9977, "");
SYMBOL_CRC(sas_expander_alloc, 0xf20a2e95, "");
SYMBOL_CRC(sas_rphy_add, 0xbf94ba78, "");
SYMBOL_CRC(sas_rphy_free, 0xe5c110a2, "");
SYMBOL_CRC(sas_rphy_delete, 0xf90f049a, "");
SYMBOL_CRC(sas_rphy_unlink, 0x0963ec1a, "");
SYMBOL_CRC(sas_rphy_remove, 0x589fcaa3, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x53a3ccc2, "");
SYMBOL_CRC(sas_attach_transport, 0x930058f0, "");
SYMBOL_CRC(sas_release_transport, 0x4293f5af, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8098f2df, "device_for_each_child" },
	{ 0x2626ce34, "scsi_remove_host" },
	{ 0xda47bef8, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2461a8a1, "device_add" },
	{ 0x3a493545, "transport_add_device" },
	{ 0x867c969c, "transport_configure_device" },
	{ 0x4822ad6b, "device_del" },
	{ 0x60f0eaac, "transport_destroy_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xca774100, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x1c455e80, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xab8d51e7, "scsi_scan_target" },
	{ 0x4605f210, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0xdad8bd90, "bsg_remove_queue" },
	{ 0x1179e7e3, "transport_remove_device" },
	{ 0xa5db132a, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x736d12ce, "transport_class_register" },
	{ 0xcd57f27, "transport_class_unregister" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x1897281c, "attribute_container_register" },
	{ 0x53193298, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd8ba6cf5, "_dev_printk" },
	{ 0x1c6e1137, "scsi_get_vpd_page" },
	{ 0x42a69b68, "scsi_mode_sense" },
	{ 0xa3cb1cbd, "attribute_container_unregister" },
	{ 0xe61b6a2, "scsi_is_host_device" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xabfde82c, "_dev_warn" },
	{ 0xcb76b795, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x4a115fb5, "dma_opt_mapping_size" },
	{ 0x4c22813a, "device_initialize" },
	{ 0x9f263170, "dev_set_name" },
	{ 0xcafedfc4, "transport_setup_device" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7AB009310B47B7741CE38B8");
MODULE_INFO(rhelversion, "10.1");
