#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(framebuffer_alloc, "", "");
KSYMTAB_FUNC(framebuffer_release, "", "");
KSYMTAB_FUNC(fb_get_color_depth, "", "");
KSYMTAB_FUNC(fb_pad_aligned_buffer, "", "");
KSYMTAB_FUNC(fb_pad_unaligned_buffer, "", "");
KSYMTAB_FUNC(fb_get_buffer_offset, "", "");
KSYMTAB_FUNC(fb_pan_display, "", "");
KSYMTAB_FUNC(fb_set_var, "", "");
KSYMTAB_FUNC(fb_blank, "", "");
KSYMTAB_FUNC(register_framebuffer, "", "");
KSYMTAB_FUNC(unregister_framebuffer, "", "");
KSYMTAB_FUNC(devm_register_framebuffer, "", "");
KSYMTAB_FUNC(fb_set_suspend, "", "");
KSYMTAB_FUNC(fb_modesetting_disabled, "", "");
KSYMTAB_FUNC(fb_alloc_cmap, "", "");
KSYMTAB_FUNC(fb_dealloc_cmap, "", "");
KSYMTAB_FUNC(fb_copy_cmap, "", "");
KSYMTAB_FUNC(fb_set_cmap, "", "");
KSYMTAB_FUNC(fb_default_cmap, "", "");
KSYMTAB_FUNC(fb_invert_cmaps, "", "");
KSYMTAB_FUNC(fb_destroy_modelist, "_gpl", "");
KSYMTAB_FUNC(fb_find_best_display, "", "");
KSYMTAB_FUNC(fb_videomode_to_var, "", "");
KSYMTAB_FUNC(fb_var_to_videomode, "", "");
KSYMTAB_FUNC(fb_mode_is_equal, "", "");
KSYMTAB_FUNC(fb_add_videomode, "", "");
KSYMTAB_FUNC(fb_match_mode, "", "");
KSYMTAB_FUNC(fb_find_best_mode, "", "");
KSYMTAB_FUNC(fb_find_nearest_mode, "", "");
KSYMTAB_FUNC(fb_videomode_to_modelist, "", "");
KSYMTAB_FUNC(fb_find_mode, "", "");
KSYMTAB_FUNC(fb_find_mode_cvt, "", "");
KSYMTAB_FUNC(fb_get_options, "", "");
KSYMTAB_FUNC(fb_deferred_io_fsync, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_mmap, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_init, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_open, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_release, "_gpl", "");
KSYMTAB_FUNC(fb_deferred_io_cleanup, "_gpl", "");
KSYMTAB_FUNC(fbcon_update_vcs, "", "");
KSYMTAB_FUNC(fbcon_modechange_possible, "_gpl", "");

SYMBOL_CRC(framebuffer_alloc, 0xb44ebefe, "");
SYMBOL_CRC(framebuffer_release, 0x133194b6, "");
SYMBOL_CRC(fb_get_color_depth, 0x6513a3fa, "");
SYMBOL_CRC(fb_pad_aligned_buffer, 0x61ea189b, "");
SYMBOL_CRC(fb_pad_unaligned_buffer, 0x42f1b900, "");
SYMBOL_CRC(fb_get_buffer_offset, 0x59a9cf6b, "");
SYMBOL_CRC(fb_pan_display, 0x103ef228, "");
SYMBOL_CRC(fb_set_var, 0x693286bf, "");
SYMBOL_CRC(fb_blank, 0x9c48220e, "");
SYMBOL_CRC(register_framebuffer, 0x07bd286d, "");
SYMBOL_CRC(unregister_framebuffer, 0xb7eccc60, "");
SYMBOL_CRC(devm_register_framebuffer, 0x8eea4e18, "");
SYMBOL_CRC(fb_set_suspend, 0x19efe22f, "");
SYMBOL_CRC(fb_modesetting_disabled, 0xae1d2c5e, "");
SYMBOL_CRC(fb_alloc_cmap, 0x07a890c8, "");
SYMBOL_CRC(fb_dealloc_cmap, 0x098b71c6, "");
SYMBOL_CRC(fb_copy_cmap, 0x1dd571e6, "");
SYMBOL_CRC(fb_set_cmap, 0xdfe0982f, "");
SYMBOL_CRC(fb_default_cmap, 0xff6878cf, "");
SYMBOL_CRC(fb_invert_cmaps, 0xf195c682, "");
SYMBOL_CRC(fb_destroy_modelist, 0xc9561772, "_gpl");
SYMBOL_CRC(fb_find_best_display, 0xfdcc8a0e, "");
SYMBOL_CRC(fb_videomode_to_var, 0x12f6f69c, "");
SYMBOL_CRC(fb_var_to_videomode, 0x96c17136, "");
SYMBOL_CRC(fb_mode_is_equal, 0xd406d266, "");
SYMBOL_CRC(fb_add_videomode, 0xee58e970, "");
SYMBOL_CRC(fb_match_mode, 0xdef7c893, "");
SYMBOL_CRC(fb_find_best_mode, 0xce4cdb8e, "");
SYMBOL_CRC(fb_find_nearest_mode, 0x20d65e40, "");
SYMBOL_CRC(fb_videomode_to_modelist, 0x50a4698c, "");
SYMBOL_CRC(fb_find_mode, 0x4aa36749, "");
SYMBOL_CRC(fb_find_mode_cvt, 0xf93fd09c, "");
SYMBOL_CRC(fb_get_options, 0xab781570, "");
SYMBOL_CRC(fb_deferred_io_fsync, 0xd36aed8f, "_gpl");
SYMBOL_CRC(fb_deferred_io_mmap, 0x66da0367, "_gpl");
SYMBOL_CRC(fb_deferred_io_init, 0x382790b5, "_gpl");
SYMBOL_CRC(fb_deferred_io_open, 0xd2370f30, "_gpl");
SYMBOL_CRC(fb_deferred_io_release, 0xb8b6bca3, "_gpl");
SYMBOL_CRC(fb_deferred_io_cleanup, 0x548e0f48, "_gpl");
SYMBOL_CRC(fbcon_update_vcs, 0x202343fa, "");
SYMBOL_CRC(fbcon_modechange_possible, 0x1658e8b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5c78a99, "do_blank_screen" },
	{ 0xb423dba1, "console_blanked" },
	{ 0xea7daa08, "__video_get_options" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x14515e27, "con_set_default_unimap" },
	{ 0x26bf7180, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x36e4f0ab, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2c300c45, "folio_unlock" },
	{ 0x14aca0b2, "vmalloc_to_page" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x600683d3, "do_unblank_screen" },
	{ 0x58ba5fff, "class_destroy" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x5bab4a6b, "update_region" },
	{ 0xeba3ce55, "noop_dirty_folio" },
	{ 0x4e6e8ea7, "fg_console" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x944a564d, "is_console_locked" },
	{ 0xca774100, "get_device" },
	{ 0x8aa57331, "con_copy_unimap" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x7c31a5d8, "do_take_over_console" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xda47bef8, "put_device" },
	{ 0x2592fc6c, "console_printk" },
	{ 0xc594403e, "__vc_resize" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xcfa3d39d, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf7ada4a6, "file_write_and_wait_range" },
	{ 0x44f79f64, "device_create_file" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x301fe622, "con_is_bound" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xbef43296, "console_conditional_schedule" },
	{ 0x7389706a, "__memset16" },
	{ 0x90bc1ce9, "device_create" },
	{ 0x2addfdd3, "class_create" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x30e21d64, "file_update_time" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x863a276a, "color_table" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x913c8eac, "folio_mkclean" },
	{ 0x2d4daef5, "find_font" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9e3927bb, "get_default_font" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x1dc75084, "redraw_screen" },
	{ 0xc631580a, "console_unlock" },
	{ 0x13e2161a, "vc_cons" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfde111e6, "param_ops_bool" },
	{ 0xb5683ae0, "con_is_visible" },
	{ 0xe040b0be, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x38f54706, "__folio_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x32442436, "do_unregister_con_driver" },
	{ 0x98e508ef, "ignore_console_lock_warning" },
	{ 0x5524a8a3, "__devm_add_action" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2c6c004e, "do_unbind_con_driver" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0xbf71676, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "font");


MODULE_INFO(srcversion, "FE689F781427BB92910A69C");
MODULE_INFO(rhelversion, "10.1");
