#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x8a841a14, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xc3333e43, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x3decb5cb, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xcc91f32b, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x2ea37257, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x14c983ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x290ae679, "nf_ct_ext_add" },
	{ 0x8630bb2e, "nsh_pop" },
	{ 0xecff7400, "nf_conntrack_find_get" },
	{ 0x9ad26e8f, "nf_ct_set_timeout" },
	{ 0xc2e3ee4, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0x26bf7180, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x66388825, "dev_fill_metadata_dst" },
	{ 0x15fee81a, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x72dfc4f1, "skb_copy_bits" },
	{ 0x2116f6f0, "nf_ct_handle_fragments" },
	{ 0x75c71657, "eth_mac_addr" },
	{ 0x60eb1957, "skb_put" },
	{ 0x83d169aa, "genl_notify" },
	{ 0xdb7ea087, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xb9b2f564, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc17b89a8, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdf5dd244, "skb_eth_pop" },
	{ 0x4cfd237, "trace_raw_output_prep" },
	{ 0x38520533, "skb_gso_validate_mac_len" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x5aa64f74, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x23244702, "nf_ct_helper" },
	{ 0xe1fae2b9, "__trace_trigger_soft_disabled" },
	{ 0xb726f6ae, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x4b48c411, "trace_event_printf" },
	{ 0x768bb007, "rtnl_delete_link" },
	{ 0xc2feebd4, "rtnl_link_register" },
	{ 0xb3755ec4, "nf_connlabels_put" },
	{ 0xc357a4ee, "genlmsg_put" },
	{ 0x6bf79c02, "___pskb_trim" },
	{ 0x48ed1aa8, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x51d2a42a, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x36d9aed0, "dev_set_promiscuity" },
	{ 0x2e74696a, "nf_ct_destroy_timeout" },
	{ 0xcbf01209, "nf_ct_add_helper" },
	{ 0x97999eea, "nf_conntrack_helper_put" },
	{ 0x6c7c48c3, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x682ee2c, "nf_ct_skb_network_trim" },
	{ 0x71e7d3fe, "unregister_netdevice_queue" },
	{ 0xf6f9f3f4, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x9d2f0482, "ether_setup" },
	{ 0xe6f0c395, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x33341eab, "pskb_expand_head" },
	{ 0xc145185b, "skb_csum_hwoffload_help" },
	{ 0x809ca4f1, "trace_event_buffer_commit" },
	{ 0x2fe18c4e, "dev_addr_mod" },
	{ 0x12885704, "nf_connlabels_replace" },
	{ 0x8c272f32, "eth_type_trans" },
	{ 0xbc2bf06, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xfdbe3ec4, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x507355c5, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x439b9529, "skb_eth_push" },
	{ 0x745d8f79, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x66448b3a, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x2f54f25a, "skb_mpls_pop" },
	{ 0x7a59b230, "skb_vlan_pop" },
	{ 0x325a7ba6, "dst_init" },
	{ 0xcfa3d39d, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0xa14778ce, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf1f83991, "rtnl_link_unregister" },
	{ 0x948bb823, "perf_trace_run_bpf_submit" },
	{ 0x334de8f3, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0xacccbc5b, "ipv6_stub" },
	{ 0xeedcf4a0, "skb_mpls_update_lse" },
	{ 0x2c1c0206, "skb_pull" },
	{ 0xe8b9b61b, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0x9c783f84, "sk_skb_reason_drop" },
	{ 0xa6e64261, "netlink_unicast" },
	{ 0x6aadbbd5, "bpf_trace_run5" },
	{ 0x1d2ca9eb, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xef4c16d3, "skb_push" },
	{ 0x3480c6d8, "kmem_cache_free" },
	{ 0x16296fe8, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff182e8, "nla_put" },
	{ 0xa6434e5a, "trace_event_reg" },
	{ 0x394f38c3, "skb_ensure_writable" },
	{ 0x93d84e1e, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4bc0f727, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x75ddfc8e, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xad48b0a1, "ethtool_op_get_link" },
	{ 0x4dd26059, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x9e2212db, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6abd4679, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc7fc074f, "__pskb_pull_tail" },
	{ 0xe7272333, "nf_ct_delete" },
	{ 0xf90d71de, "nf_conncount_init" },
	{ 0xda978556, "skb_vlan_push" },
	{ 0x6772ac94, "netif_rx" },
	{ 0xec25c7f7, "__netdev_alloc_skb" },
	{ 0xdc1a63f3, "__kmem_cache_create_args" },
	{ 0x9564da52, "netdev_master_upper_dev_link" },
	{ 0xe17bd777, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0xde476794, "inet_proto_csum_replace16" },
	{ 0xdf91ad15, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x4926d110, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xd2f3d0db, "nf_ct_deliver_cached_events" },
	{ 0xdf23e243, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd864147, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa11e7209, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xcaabc6f5, "trace_event_buffer_reserve" },
	{ 0xb89d4a9, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x33883af3, "inet_proto_csum_replace4" },
	{ 0x2c69deff, "nf_conncount_destroy" },
	{ 0x6a42f24e, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x9462ce21, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd8926e05, "dev_get_by_name" },
	{ 0x4765b43c, "skb_clone" },
	{ 0xe18169e4, "metadata_dst_alloc" },
	{ 0x2772dde9, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xff4cf090, "peernet2id_alloc" },
	{ 0x7dacef58, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfe1aa677, "netdev_rx_handler_register" },
	{ 0xd0297025, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x84fac4c6, "genl_unregister_family" },
	{ 0xab03afe, "dev_disable_lro" },
	{ 0xf854d163, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x90182ab2, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8baf1e54, "genl_register_family" },
	{ 0xda388716, "nf_ct_tmpl_free" },
	{ 0xcba45ec4, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xe549df1a, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x34be96a6, "skb_mpls_push" },
	{ 0x3913c552, "register_pernet_device" },
	{ 0xcf028fa8, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe2d1b885, "kmem_cache_destroy" },
	{ 0xd73d1415, "__skb_vlan_pop" },
	{ 0x40cce3a7, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x923be9c5, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "9F186443EAE7E09484519AC");
MODULE_INFO(rhelversion, "10.1");
