#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xb894af81, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x6c8acdf2, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x9f80a807, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x1b3d8d89, "");
SYMBOL_CRC(gss_mech_put, 0xbf5c3dcd, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xfb1e4403, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x9dc7587f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66de73b7, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x26bf7180, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x36e4f0ab, "vmemmap" },
	{ 0x64ee5c24, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x8a6a6b49, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x15fee81a, "bpf_trace_run4" },
	{ 0xc30b479f, "xdr_stream_decode_opaque_auth" },
	{ 0x8993f7c6, "param_ops_uint" },
	{ 0x4d048698, "xdr_write_pages" },
	{ 0x34af612b, "rpc_shutdown_client" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x1c5f6824, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x87157d1b, "xdr_inline_decode" },
	{ 0x3423b08d, "cache_create_net" },
	{ 0x9b7d4494, "rpcauth_destroy_credcache" },
	{ 0x4cfd237, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x6c973f1a, "bpf_trace_run6" },
	{ 0xfa1e35ed, "rpc_net_ns" },
	{ 0xf7d7465f, "read_bytes_from_xdr_buf" },
	{ 0xe1fae2b9, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0x4b48c411, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xebe08336, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x48ed1aa8, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xd1236078, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x31cbb418, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x6a3baa2b, "xdr_truncate_decode" },
	{ 0xe6be7ca7, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe1bfe55b, "__xdr_commit_encode" },
	{ 0xc956e31a, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x95043fce, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe39ee312, "__put_cred" },
	{ 0x696696c6, "register_pernet_subsys" },
	{ 0x809ca4f1, "trace_event_buffer_commit" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x1173330d, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ac2d1d9, "rpc_release_client" },
	{ 0xb61d9cd8, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x39f57494, "svc_auth_register" },
	{ 0xe561467e, "xdr_stream_encode_opaque_auth" },
	{ 0xf58874e9, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xdcbdc88e, "rpc_destroy_pipe_data" },
	{ 0x47dffac2, "__free_pages" },
	{ 0x8f7f8bd4, "rpc_pipe_generic_upcall" },
	{ 0xcfa3d39d, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xce80fc77, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xde30baa0, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x948bb823, "perf_trace_run_bpf_submit" },
	{ 0x26d5d5d9, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x8e783e41, "rpcauth_init_credcache" },
	{ 0xec8e1c4d, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x45cb9945, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa6434e5a, "trace_event_reg" },
	{ 0x8bd2f314, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb71026a9, "rpc_sleep_on_timeout" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x5932c7c2, "rpc_create" },
	{ 0x7b2c9d55, "bpf_trace_run1" },
	{ 0x96875d48, "rpc_call_sync" },
	{ 0x464d6d0, "from_kuid" },
	{ 0x25a8af1a, "unregister_pernet_subsys" },
	{ 0x69f4815d, "rpc_queue_upcall" },
	{ 0x1b559a74, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfef62346, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xba8cb87e, "svcauth_unix_set_client" },
	{ 0x1602bb3a, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xe18ae4bb, "make_kgid" },
	{ 0xa8852bfe, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xd71966c8, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xcedcc636, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x67a4f75b, "bpf_trace_run3" },
	{ 0xcdbff131, "__put_net" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xfceba8ed, "rpc_mkpipe_dentry" },
	{ 0x1608d5ab, "rpc_mkpipe_data" },
	{ 0x304e7d85, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcaabc6f5, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x350fa680, "cache_register_net" },
	{ 0x5d272d92, "init_user_ns" },
	{ 0xce1edd86, "xdr_inline_pages" },
	{ 0xd37f02a3, "__folio_put" },
	{ 0x8ff2c867, "remove_proc_entry" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0x60c1b6cf, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x506bc457, "alloc_pages_noprof" },
	{ 0x9b24a00f, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x398a5924, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x17726561, "from_kuid_munged" },
	{ 0xb38a9e4, "rpcauth_init_cred" },
	{ 0xf62ecf75, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xee1a8350, "cache_destroy_net" },
	{ 0x52d607f5, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x8cadda96, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x15a7fcff, "sunrpc_cache_update" },
	{ 0x916e3585, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdefd625b, "auth_domain_put" },
	{ 0xd80de250, "rpcauth_unwrap_resp_decode" },
	{ 0xc9f0db2f, "rpcauth_register" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "F5791549E866A92F888AC3C");
MODULE_INFO(rhelversion, "10.1");
