#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x177f6df8, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xd923d762, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x2c6826f6, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0xb5a19958, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x92e60aae, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xaaf7084f, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x03440d09, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0xdd5a4186, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x5ff24a6c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x2a4f238a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0xce2c5715, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xa40dcded, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x4f1bb04b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x12c2d5e9, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x799dffcb, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x3d21112a, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x86f58138, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x2b9f810f, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x95f7aa5c, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xc8c0b1e2, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x763b7771, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x9a09f5a8, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x48aa661f, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xcc443fb9, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x88ea570e, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x184b9369, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xf84f404c, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x7b89d8e8, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x5af00bd3, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x3552333b, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x0953a9a9, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xfae503c4, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x3255ce1a, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xcdf6a75d, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x7b3dd329, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xe358f2fd, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xbd57a6ff, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x09b8b6f3, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xf0843cd5, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x66ed24e3, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x0b49b47c, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x7877e567, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xaa31629d, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x0d656c3a, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x7d70a457, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xdebca4ad, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x8bdf1ac1, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x36e474e8, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x17aed023, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0xa75cfbcd, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x8577c59a, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xf1d07dd1, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xc7c4f9f2, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x566ff381, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xb45cd517, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x68839ebc, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x0b6e6367, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x2c419ed9, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0xaf1ed8e7, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x436f0b3c, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x931a4191, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xf5e32bfd, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x1604096c, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x2c28cfa3, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0x88ec6d69, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x51986386, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xb3be5f95, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x1f7beca4, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x37bb91c3, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x6c7d3de1, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xff7920d0, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x2353f5d7, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x113526d3, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x28180e0e, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x50b274ea, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xdb0101c0, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x682cac94, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x7920dc52, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x2a3f4dd2, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xed8bd802, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xec4c62ab, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x7fb17f55, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xd9e7f3dd, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x50217814, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xcf81b15c, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xd5c7c3c7, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xc8e696f5, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x7b95254d, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xbb15b551, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xa9894721, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x0a7824ad, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xf02ad09e, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xa7ac709e, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xd82a9cc0, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x62ee904a, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x423ac1e5, "");
SYMBOL_CRC(drm_fb_swab, 0xb134dfa1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xc9d27114, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x20425833, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x899c8a7f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xd9ebb7c0, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x1df33f23, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x84c6e79f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xb13d0d38, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x40672e22, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x2aec3b7e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xb6d44b87, "");
SYMBOL_CRC(drm_fb_blit, 0x2693e99c, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x5784a952, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xd6b6b0c1, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x747b6806, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x6564fa7d, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xb2498162, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x3f673c7e, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xf248d54a, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x039316a7, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xeda9a797, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x1d26e9b7, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x8d333d3e, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x2624f81a, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xb61f5310, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xc2bacdab, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x1c97d417, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x4ddb79a8, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x8fb0ca41, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x51b28f29, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x9134ccc9, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x3eca0070, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xd636df4f, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xa7399c97, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x2bbab315, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x963a49d8, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x2e5a4125, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xddd4299f, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x5881d7f7, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xec52b3df, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x7b11a8e2, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x4fda0d33, "");
SYMBOL_CRC(drm_crtc_init, 0x635a09a5, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x2b859ac9, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x8aad32f9, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x6588caeb, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x349f3ceb, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xfc5fa152, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x05280e7d, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xb9a7a870, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xa7cf9904, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xdca4c200, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x75cce944, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x0c141f42, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x9b73f406, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x3f2c2a21, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xa759e046, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xe88d29e3, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xfd4a23a1, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x58028c25, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x320ee0e7, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xca9031e0, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xd1899154, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x2abb71fd, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xa5ee0ff1, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x41ba0bf8, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x243167f8, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x1088bded, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x56c2c354, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xb889c0d5, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x94f615b0, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xa9676763, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x7e3a9a15, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xc1f2115a, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x787920b6, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x3dfe6187, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x4843ece3, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xf1ec498e, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x84071d85, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x7280237c, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x8bf3263e, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x13fceed4, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x7c2048cc, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x9d3ff922, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x8bf5d301, "");
SYMBOL_CRC(drm_fb_helper_blank, 0xabd24f79, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x7c966262, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x8c97fad3, "");
SYMBOL_CRC(drm_fb_helper_init, 0x53131b99, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xa1c91f3d, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x268c9447, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0xfe63ec3b, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xf2343778, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x922a482c, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x260c8d6d, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x08767005, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x5e46aea9, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x90229e35, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x01792159, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xaf888875, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x2127dbb5, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x0d8f05c8, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x0a9318c3, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xf5de34b5, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x181b6308, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x7ef89ddb, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xe6c0c3e0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7eccc60, "unregister_framebuffer" },
	{ 0x9c40dccb, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x51e08b05, "drm_framebuffer_cleanup" },
	{ 0x5c2ecda4, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xda7d6a17, "drm_panel_get_modes" },
	{ 0x373798ef, "drm_gem_vmap_unlocked" },
	{ 0x26bf7180, "try_module_get" },
	{ 0xc9e999c4, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x376558db, "drm_bridge_add" },
	{ 0xe036781c, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x8fe2a278, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xf7c3b6ea, "devm_kmalloc" },
	{ 0xdfaca16a, "drm_client_rotation" },
	{ 0xb9727825, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x8386a261, "drm_framebuffer_init" },
	{ 0x804add41, "drm_mode_validate_driver" },
	{ 0xc4c885cc, "drm_atomic_add_affected_planes" },
	{ 0x3b6a096c, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd2610493, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xde261168, "drm_mode_probed_add" },
	{ 0xa36dbda2, "drm_atomic_add_affected_connectors" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x1ac8ad02, "drm_gem_vunmap_unlocked" },
	{ 0x80f933e9, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xda82e577, "drm_modeset_lock_all" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xca7d9664, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xb65db91f, "drm_mode_object_get" },
	{ 0xdf660e2a, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x51fcddc1, "drm_driver_legacy_fb_format" },
	{ 0x3e3a6780, "drm_crtc_cleanup" },
	{ 0x312c9211, "drm_connector_list_iter_begin" },
	{ 0xb1b97b32, "drm_mode_set_config_internal" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb44ebefe, "framebuffer_alloc" },
	{ 0xcb2714e4, "drm_encoder_cleanup" },
	{ 0xb981a911, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x337ea62, "drm_client_modeset_probe" },
	{ 0x8cbd6174, "drm_warn_on_modeset_not_all_locked" },
	{ 0xf8c96cbf, "drm_plane_get_damage_clips" },
	{ 0xe457522c, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0xdc3313b, "drm_add_modes_noedid" },
	{ 0x23ce339c, "drm_bridge_remove" },
	{ 0x79131f47, "drm_mode_object_put" },
	{ 0xebda4d06, "dev_driver_string" },
	{ 0x3dcaecc7, "drm_crtc_vblank_get" },
	{ 0xe3a8f86c, "drm_gem_object_lookup" },
	{ 0xf00785b7, "drm_crtc_send_vblank_event" },
	{ 0xd991363f, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x7e7cf715, "drm_atomic_normalize_zpos" },
	{ 0x45b99a2e, "drm_edid_connector_update" },
	{ 0x53a6c151, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc868bde, "__drmm_add_action_or_reset" },
	{ 0xe27e7297, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x5e4fa9cb, "drm_connector_list_iter_end" },
	{ 0xfa53bcce, "drm_atomic_set_crtc_for_plane" },
	{ 0xe6f6eeac, "drm_client_modeset_dpms" },
	{ 0x9da0f679, "drm_mode_prune_invalid" },
	{ 0xf50df84a, "drm_client_dev_hotplug" },
	{ 0x608e1e35, "_dev_info" },
	{ 0x56bd2140, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xe2871172, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xcfa3d39d, "module_put" },
	{ 0xd3f282b8, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0xdbfac845, "drm_atomic_get_crtc_state" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xff7ad2e0, "drm_client_init" },
	{ 0xe2ce8102, "drm_crtc_wait_one_vblank" },
	{ 0xa6b25f99, "drm_crtc_next_vblank_start" },
	{ 0xfc9df5ff, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xdf5624e7, "drm_modeset_lock" },
	{ 0x32aa526f, "drm_client_modeset_commit_locked" },
	{ 0x8b2b3973, "drm_modeset_unlock" },
	{ 0xa7671b60, "drm_panel_disable" },
	{ 0x9bebaf93, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x62d2a06d, "drm_connector_init" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x901f72a, "devm_kfree" },
	{ 0x6894db94, "_dev_err" },
	{ 0xf56e557e, "drm_writeback_cleanup_job" },
	{ 0xb690086f, "drm_modeset_lock_all_ctx" },
	{ 0xa5bf4181, "i2c_unregister_device" },
	{ 0x5d404126, "drm_atomic_set_fb_for_plane" },
	{ 0x2a10b29b, "__drm_universal_plane_alloc" },
	{ 0xc748b882, "drm_edid_connector_add_modes" },
	{ 0x1b7b8922, "drm_probe_ddc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xe09293d7, "__devres_alloc_node" },
	{ 0x183d686e, "drm_edid_read" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xb710fe34, "drm_crtc_commit_wait" },
	{ 0xd57fe6d8, "drm_dev_has_vblank" },
	{ 0x7bd286d, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xc6405a10, "__drm_atomic_helper_disable_plane" },
	{ 0x3d5f4f29, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5cfa49a7, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9aa03081, "drm_atomic_set_crtc_for_connector" },
	{ 0xd9fbba56, "drm_analog_tv_mode" },
	{ 0x7db8ba02, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x5a70f118, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe4803659, "drm_crtc_vblank_put" },
	{ 0x9019316e, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xe5f5ef13, "__drm_dev_dbg" },
	{ 0x178a0981, "drm_plane_get_damage_clips_count" },
	{ 0x8986e9f8, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x3da7ac69, "drm_atomic_state_alloc" },
	{ 0x7344765a, "drm_client_modeset_commit" },
	{ 0xabfde82c, "_dev_warn" },
	{ 0xc8220ac7, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x1a393bda, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x19efe22f, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0x961274d9, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xe6e24653, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x27ae498c, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x3ffd5299, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xcb1afe25, "drm_connector_cleanup" },
	{ 0xf2df934d, "drm_get_format_info" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x71cf518a, "drm_universal_plane_init" },
	{ 0xf40ff401, "drm_any_plane_has_format" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf26060c, "drm_connector_list_iter_next" },
	{ 0x3385dc23, "drm_modeset_acquire_fini" },
	{ 0x109fc76f, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x78833b8c, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfde111e6, "param_ops_bool" },
	{ 0xffff5561, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4810baba, "drm_modeset_backoff" },
	{ 0xe1a1b785, "drm_panel_prepare" },
	{ 0x9bf54c2b, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xf2ecf911, "drm_atomic_get_plane_state" },
	{ 0xdfd0b752, "drm_atomic_bridge_chain_check" },
	{ 0x6e7c08fd, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xdcc8d5ad, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x88419cde, "drm_property_blob_put" },
	{ 0xce34fc13, "drm_mode_destroy" },
	{ 0xb75bf1e3, "drm_bridge_attach" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xfc07530c, "drm_set_preferred_mode" },
	{ 0x4a1fd15e, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x6bf9369f, "drm_atomic_state_clear" },
	{ 0x2ee2babd, "drm_mode_config_reset" },
	{ 0xbcc2ce7c, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x3d14af7f, "drm_modeset_drop_locks" },
	{ 0x133194b6, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x9a9767a7, "drm_atomic_bridge_chain_disable" },
	{ 0x6a5199a8, "drm_mode_create_from_cmdline_mode" },
	{ 0x898bfadb, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x8c1dc70b, "param_ops_int" },
	{ 0x7090b176, "drm_atomic_nonblocking_commit" },
	{ 0x8c92be84, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0xecd9de22, "drm_master_internal_release" },
	{ 0x612f715a, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x20ced83f, "drm_panel_unprepare" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x71e0a20c, "drm_atomic_add_encoder_bridges" },
	{ 0xd23e139f, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x45422e1b, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,i2c-core");


MODULE_INFO(srcversion, "433A9BC9ACEDE7734E33646");
MODULE_INFO(rhelversion, "10.1");
