#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x4a662613, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x1e92d7bf, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x36477ad5, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0xb842b191, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x31a16047, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x55ae6d22, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xf1e1b1e9, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0xbd8e42a7, "_gpl");
SYMBOL_CRC(qeth_xmit, 0xabd0c19f, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x7f6874d7, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0x3a70556c, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x20845b7a, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xcd8e4d8a, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x0f58c7c8, "_gpl");
SYMBOL_CRC(qeth_poll, 0xecd0600e, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0xed284d76, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0x3ae4dbc3, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0xa8ffab63, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x4ed7b3c1, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x6cbb2ace, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0x2c0d78d8, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x43d73024, "_gpl");
SYMBOL_CRC(qeth_set_features, 0xdacaf13f, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x4224c320, "_gpl");
SYMBOL_CRC(qeth_features_check, 0xa3f0074a, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0xdaa3d468, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x3197c5bb, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x2124a71b, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0xf6564cca, "_gpl");
SYMBOL_CRC(qeth_open, 0x7b296f72, "_gpl");
SYMBOL_CRC(qeth_stop, 0x668c17c9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x406b7077, "ccw_device_get_cssid" },
	{ 0x2b3d981a, "napi_alloc_skb" },
	{ 0xd08b994e, "alloc_etherdev_mqs" },
	{ 0x6d95bd8b, "ccw_device_halt" },
	{ 0xe7ec2d7b, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x4b0c5f61, "qdio_shutdown" },
	{ 0xa36ed931, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2e319aee, "ccwgroup_set_offline" },
	{ 0x36e4f0ab, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x236dc29f, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x72dfc4f1, "skb_copy_bits" },
	{ 0xf98cd48d, "qdio_allocate" },
	{ 0x2e43fbd0, "qdio_inspect_output_queue" },
	{ 0x60eb1957, "skb_put" },
	{ 0x23e65889, "skb_tstamp_tx" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2f62a62f, "netdev_update_features" },
	{ 0xb9b2f564, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5c7042ac, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x48a414fd, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x3e48a517, "debug_set_level" },
	{ 0xacdd436e, "register_service_level" },
	{ 0x625b794e, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2a7c9788, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbdcd6120, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x69d23a3, "qdio_add_bufs_to_output_queue" },
	{ 0xbfb5d052, "__netif_napi_del" },
	{ 0xca774100, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x9d2f0482, "ether_setup" },
	{ 0xb3ea792d, "qdio_get_ssqd_desc" },
	{ 0x8e85c965, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x33341eab, "pskb_expand_head" },
	{ 0x89040660, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x2fe18c4e, "dev_addr_mod" },
	{ 0x8c272f32, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xc107d9c, "napi_complete_done" },
	{ 0xbc2bf06, "alloc_netdev_mqs" },
	{ 0x6a6e78a9, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x2a177ccc, "unregister_service_level" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x5438cd32, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xda47bef8, "put_device" },
	{ 0xc2479fe5, "__napi_schedule" },
	{ 0x9ae72025, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xdcc12f58, "netif_device_detach" },
	{ 0x47dffac2, "__free_pages" },
	{ 0x608e1e35, "_dev_info" },
	{ 0x6ff8544, "napi_gro_receive" },
	{ 0x87c40a12, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x707be5e0, "ccwgroup_probe_ccwdev" },
	{ 0xb6ae4ef, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6894db94, "_dev_err" },
	{ 0xab35d603, "softnet_data" },
	{ 0xf6ebb91f, "ccw_device_get_id" },
	{ 0x7c5d7917, "__root_device_register" },
	{ 0x422a342e, "ccw_device_get_ciw" },
	{ 0x13bf0c53, "netif_set_real_num_tx_queues" },
	{ 0x9c783f84, "sk_skb_reason_drop" },
	{ 0x12d027c5, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x15d83d7a, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xef4c16d3, "skb_push" },
	{ 0x3480c6d8, "kmem_cache_free" },
	{ 0xae75949b, "ccwgroup_driver_register" },
	{ 0x598a275f, "debugfs_remove" },
	{ 0xce0871a8, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x93d84e1e, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7e1aeaa3, "__debug_sprintf_event" },
	{ 0xad48b0a1, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xa56a38b6, "netif_tx_stop_all_queues" },
	{ 0xb9313da5, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x662f398f, "ccw_device_set_offline" },
	{ 0xabfde82c, "_dev_warn" },
	{ 0xf64dff25, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8fe4a08f, "netif_schedule_queue" },
	{ 0xd908e219, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0x6abd4679, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x603b9bd9, "netdev_set_tc_queue" },
	{ 0xd470c3aa, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xc7fc074f, "__pskb_pull_tail" },
	{ 0xec25c7f7, "__netdev_alloc_skb" },
	{ 0xdc1a63f3, "__kmem_cache_create_args" },
	{ 0xe798236d, "jiffies" },
	{ 0xe817d6c3, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6660c784, "debug_hex_ascii_view" },
	{ 0x86481ff1, "debug_unregister" },
	{ 0x5cf3f537, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0x4982a6eb, "ccwgroup_driver_unregister" },
	{ 0x2ed7ea40, "ccwgroup_remove_ccwdev" },
	{ 0x58549164, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb533e1d1, "ccw_device_get_iid" },
	{ 0x9050b9a3, "debug_event_common" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa4f8a46b, "netif_carrier_off" },
	{ 0x171833e8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x505d4838, "ccw_device_set_online" },
	{ 0x75367342, "netdev_set_num_tc" },
	{ 0x6b30c963, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd8ce274b, "single_release" },
	{ 0x62763f7b, "qdio_add_bufs_to_input_queue" },
	{ 0xcf9935c8, "skb_add_rx_frag_netmem" },
	{ 0xda4c812c, "__napi_schedule_irqoff" },
	{ 0x1120452d, "napi_schedule_prep" },
	{ 0xf31ef005, "napi_consume_skb" },
	{ 0x71a146b4, "debug_sprintf_view" },
	{ 0x45b420bc, "qdio_stop_irq" },
	{ 0xfe8440b6, "napi_disable" },
	{ 0x895dc798, "qdio_free" },
	{ 0xd3768a39, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x8c92be84, "debugfs_create_dir" },
	{ 0xac7512c4, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0xbc1d5f6d, "ccw_driver_unregister" },
	{ 0xfb4d3135, "skb_clone_tx_timestamp" },
	{ 0x37c6920c, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xa1e4a36b, "ethtool_op_get_ts_info" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe2d1b885, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "3B7DDCE882ADA72FA06FE30");
MODULE_INFO(rhelversion, "10.1");
