#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x1830b17c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0x54d8388a, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0xe88b5d36, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x42aa68c6, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0xe58a54da, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xe3e611db, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x49345c1f, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x45c206bd, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xe4a36432, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x88916163, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x86a4441e, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xd4a3b130, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xad9e6b05, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x3e7b68e2, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x753227e0, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x7db676ed, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0x6bdb5295, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x65424b32, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xb74640f0, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xdcca0e53, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x948bb823, "perf_trace_run_bpf_submit" },
	{ 0xcaabc6f5, "trace_event_buffer_reserve" },
	{ 0x809ca4f1, "trace_event_buffer_commit" },
	{ 0xe1fae2b9, "__trace_trigger_soft_disabled" },
	{ 0x4cfd237, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x4b48c411, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x7b2c9d55, "bpf_trace_run1" },
	{ 0x31cbb418, "bpf_trace_run2" },
	{ 0x734c13bd, "sk_error_report" },
	{ 0x9f7d0650, "ip_icmp_error" },
	{ 0x83a256f9, "ipv6_icmp_error" },
	{ 0x2c188020, "sock_create_kern" },
	{ 0xf64a29cb, "kernel_bind" },
	{ 0x3a666201, "kernel_connect" },
	{ 0x1015d150, "udp_sock_create6" },
	{ 0xbcd9acb1, "kernel_sock_shutdown" },
	{ 0xc8f63af, "sock_release" },
	{ 0x8f5042f2, "udp_sock_create4" },
	{ 0x92997ed8, "_printk" },
	{ 0x3913c552, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75ddfc8e, "unregister_pernet_device" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x9d667c68, "kmalloc_caches" },
	{ 0x952c2395, "__kmalloc_cache_noprof" },
	{ 0x4a6b5102, "skb_queue_tail" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfe3476c, "sk_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe798236d, "jiffies" },
	{ 0x9c783f84, "sk_skb_reason_drop" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc7fc074f, "__pskb_pull_tail" },
	{ 0x33341eab, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x267557fa, "udp_set_csum" },
	{ 0x43df1fbc, "ip_queue_xmit" },
	{ 0x7307375e, "udp6_set_csum" },
	{ 0xde9269ea, "inet6_csk_xmit" },
	{ 0x2772dde9, "dst_release" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x6830cc41, "skb_dequeue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x37a0cba, "kfree" },
	{ 0x7d1bee4e, "sockfd_lookup" },
	{ 0xe2f0afed, "lock_sock_nested" },
	{ 0x990dfe4e, "release_sock" },
	{ 0xbf2ddcce, "fput" },
	{ 0x7740f5c8, "setup_udp_tunnel_sock" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xa6434e5a, "trace_event_reg" },
	{ 0x48ed1aa8, "trace_event_raw_init" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "74F0D7DE5D860230C2A3272");
MODULE_INFO(rhelversion, "10.1");
