#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x52215ceb, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0xccb3f10a, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x3d21712c, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x078a6c2f, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x9af44bbd, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x3176ea60, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x4775287d, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x6155391d, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x4ce738f6, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xe9e12a93, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x42638b4e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x696696c6, "register_pernet_subsys" },
	{ 0x25a8af1a, "unregister_pernet_subsys" },
	{ 0x4411fa77, "nf_register_net_hooks" },
	{ 0x171833e8, "seq_printf" },
	{ 0x744274d1, "seq_write" },
	{ 0xcc74716, "nf_unregister_net_hooks" },
	{ 0x8ff2c867, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xd86c63b0, "security_skb_classify_flow" },
	{ 0xf045982b, "__nf_ip6_route" },
	{ 0x9c783f84, "sk_skb_reason_drop" },
	{ 0x5bde697f, "xfrm_lookup" },
	{ 0xf4ff79ee, "ip6_local_out" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x40cce3a7, "nf_ct_tmpl_alloc" },
	{ 0x290ae679, "nf_ct_ext_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x5c4e3964, "proc_create_net_data" },
	{ 0xda388716, "nf_ct_tmpl_free" },
	{ 0x394f38c3, "skb_ensure_writable" },
	{ 0x33883af3, "inet_proto_csum_replace4" },
	{ 0x72dfc4f1, "skb_copy_bits" },
	{ 0x965f9e17, "ip_route_me_harder" },
	{ 0x7cb812e4, "ip_local_out" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x66448b3a, "__alloc_skb" },
	{ 0x60eb1957, "skb_put" },
	{ 0xb6088146, "__cookie_v4_init_sequence" },
	{ 0xe31d93a3, "__cookie_v6_init_sequence" },
	{ 0x52094679, "__cookie_v4_check" },
	{ 0xb89ff9c, "__cookie_v6_check" },
	{ 0x4c54e23d, "ipv6_skip_exthdr" },
	{ 0x3867c9bd, "nf_ct_seqadj_init" },
	{ 0xb9b2f564, "consume_skb" },
	{ 0x32f96c4a, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "01C3BDC13AD477FEABBED35");
MODULE_INFO(rhelversion, "10.1");
